<script lang="ts">
	export let value: any;
	export let label: string;
	export let type: string = 'text';
	export let disabled: boolean = false;

	function typeAction(node: any) {
		node.type = type;
	}

	function handleFileInputChange(event: any) {
		if (type === 'file') {
			const file = event.target.files[0];
			if (file) {
				value = file;
			}
		}
	}
</script>

<div class="flex flex-col gap-2 justify-center text-white w-full">
	<label class="text-white" for={label}>{label}</label>
	{#if type === 'textarea'}
		<textarea
			{disabled}
			class="border border-primary-500 rounded-lg w-full p-2 bg-noir-500"
			bind:value
		/>
	{:else}
		<input
			{disabled}
			use:typeAction
			class="border border-primary-500 rounded-lg w-full p-2 bg-noir-500"
			bind:value
			on:change={handleFileInputChange}
		/>
	{/if}
</div>
